# airline.zsh

Modern powerline-style ZSH prompt with ai.moji support.

## Features

- Clean, fast powerline-style segments
- Git status information with color coding
- OS-specific icons and separators
- Vi mode indicators
- ai.moji font support with Unicode fallbacks
- 256-color theming system

## Installation

### With Zinit

```zsh
zinit load syui/airline.zsh
```

### Manual

```zsh
source ~/.zinit/plugins/syui---airline.zsh/airline.zsh
```

## Configuration

The plugin automatically detects your OS and sets appropriate icons. It will use ai.moji font if available at:
- `~/.local/share/fonts/aimoji.ttf`
- `~/.fonts/aimoji.ttf`

## Customization

You can customize colors by modifying the `AIRLINE_THEME` associative array:

```zsh
AIRLINE_THEME[dir_bg]=33    # Blue background for directory
AIRLINE_THEME[git_bg]=2     # Green background for git info
```

## ai.moji Integration

Clone the ai.moji project for custom icons:
```bash
git clone https://git.syui.ai/ai/moji
```

## License

MIT